Organisations
Create an organisation.
POST
application/json- body
organisationName*stringMatch
^[a-zA-Z0-9\-\s&]*$Length
3 <= length <= 30organisationType*stringValue in
"BUSINESS""ENTERPRISE""INDIVIDUAL""TRIAL"vatNumber?stringLength
0 <= length <= 255companyName?stringLength
0 <= length <= 255companyAddress?stringLength
0 <= length <= 255acceptedAgreements*array<>Request was successfully processed. The response body contains the requested data.
application/json- response
id?stringDeprecatedFormat
uuididentity?stringFormat
uuidname?stringvatCode?stringcompanyName?stringcompanyAddress?stringcontactEmail?stringbillingEmail?stringpendingContactEmail?stringpendingBillingEmail?stringvatCodeValidated?booleanvatCodeValidatedAt?stringFormat
date-timephoneNumber?stringcreatedAt?stringFormat
date-timeacceptedTerms?booleanacceptedTermsAt?stringFormat
date-timehasStripeCustomer?booleanrestrictedToAvailableCloudProviders?booleantype?stringValue in
"BUSINESS""ENTERPRISE""INDIVIDUAL""TRIAL"slug?curl -X POST 'https://api.avisi.cloud/api/v1/registration' \ -H 'Content-Type: application/json' \ -d '{ "organisationName": "string", "organisationType": "BUSINESS", "acceptedAgreements": [ {} ]}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "name": "string", "vatCode": "string", "companyName": "string", "companyAddress": "string", "contactEmail": "string", "billingEmail": "string", "pendingContactEmail": "string", "pendingBillingEmail": "string", "vatCodeValidated": true, "vatCodeValidatedAt": "2019-08-24T14:15:22Z", "phoneNumber": "string", "createdAt": "2019-08-24T14:15:22Z", "acceptedTerms": true, "acceptedTermsAt": "2019-08-24T14:15:22Z", "hasStripeCustomer": true, "restrictedToAvailableCloudProviders": true, "type": "BUSINESS", "slug": { "slugValue": "string" }}